import java.util.Arrays;
import java.util.HashMap;
import java.util.Map;
import java.util.Scanner;

public class Kursused {

    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        int n = scanner.nextInt();

        Map<String, Integer> logi = new HashMap<>();

        // siin hoiame seni leitud suurimat esinemissagedust. Kuna lesande tingimustes on
        //vhemalt 1 kombinatsioon olemas, vib selle panna heks.
        int maxN = 1;
        String[] kursused = new String[5]; //siin hoiame he inimese vetud kursusi
        scanner.nextLine();
        for (int i = 0; i < n; i++) {
            kursused = scanner.nextLine().split(" ");
            Arrays.sort(kursused); // sorteerime kursused kasvavas jrjekorras

            String voti = "";
            for (int j = 0; j < 5; j++) {
                voti += kursused[j]; // hendame kursuste numbrid heks stringiks
            }
            // kui sellist vtit pole (sellist kombinatsiooni ei esine)
            if (!logi.containsKey(voti))
            {             logi.put(voti, 1); // lisame selle vrtusega 1.
            }
            else {  // kui vti on
                int m = logi.get(voti) + 1; // suurendame kombinatsiooni korduste arvu
                logi.put(voti, m); // ja muudame vastavaks
                // kui on suurem korduste arv, kui senine maksimum, muudame maksimumi.
                maxN =Math.max(maxN, m);
            }
        }

        for (Map.Entry<String, Integer> kursus : logi.entrySet()) { // kime mapi lbi
            if (kursus.getValue() == maxN) // kui on suurim korduste arv
                for (int i = 0; i < 13; i += 3) {
                    // eraldame vtmest kursuste numbrid ja vljastame need
                    System.out.print(kursus.getKey().charAt(i) + "" + kursus.getKey().charAt(i + 1) + "" + kursus.getKey().charAt(i + 2) + " ");
                }
            System.out.println();
        }

    }
}
