public class Sortimine {

    static int mullimeetod(int[] jada, int pikkus)
    {
        boolean vahetus = true;
        while (vahetus) { //kui on olnud vahetusi
            vahetus = false; //veel ei ole vahetusi olnud
            for (int i = 1; i < pikkus; i++) {
                if (jada[i - 1] > jada[i]) { //kui eelnev on suurem jrgmisest
                    int temp = jada[i - 1]; //vahetame elemendid
                    jada[i - 1] = jada[i];
                    jada[i] = temp;
                    vahetus = true; //ja peame meeles, et vahetus toimus
                }
            }
        }
        return 0;
    }

    static int optmullimeetod(int[] jada, int pikkus)
    {
        int viimane = pikkus;
        while (viimane > 0) { //kui on olnud vahetusi
            viimane = 0; //veel ei ole vahetusi olnud
            for (int i = 1; i < pikkus; i++) {
                if (jada[i - 1] > jada[i]) { //kui eelnev on suurem jrgmisest
                    int temp = jada[i - 1]; //vahetame elemendid
                    jada[i - 1] = jada[i];
                    jada[i] = temp;
                    viimane = i; //ja peame meeles viimase vahetuse koha
                }
            }
            pikkus = viimane;
        }
        return 0;
    }

    static void valikmeetod(int[] jada, int pikkus)
    {
        for (int j = 0; j < pikkus - 1; j++) { //ksik element on vhim, piisab eelviimaseni vaatamisest
            int min = j; //paneme esimese ige asukohata elemendi minimaalseks
            for (int i = j + 1; i < pikkus; i++) { //kime jada lpuni lbi
                if (jada[i] < jada[min]) { //leidime viksema elemendi
                    min = i; //jtame asukoha meelde
                }
            }
            if (min != j) { //kui vhim element ei ole juba igel kohal
                int temp = jada[j]; //vahetame elemendid
                jada[j] = jada[min];
                jada[min] = temp;
            }
        }
    }

    static void pistemeetod(int[] jada, int pikkus)
    {
        for (int i = 1; i < pikkus; i++) { //vaatame iga elementi alates teisest
            //kuni vaadeldava elemendini jada[i] on jada sorteeritud. Otsime ige koha jadas
            for (int j = i; j > 0 && jada[j - 1] > jada[j]; j--) {
                int temp = jada[j]; //vahetame elemendid
                jada[j] = jada[j - 1];
                jada[j - 1] = temp;
            }
        }
    }

    static void poimi(int[] jada, int v, int keskkoht, int p)
    {
        int i, j, k;
        int vpikkus = keskkoht - v + 1; // esimese ligu pikkus
        int ppikkus = p - keskkoht; // teise ligu pikkus

        int[] V = new int[vpikkus]; // pimimiseks teeme vasaku ja
        int[] P = new int[ppikkus]; // parema ligu jaoks eraldi massiivid

        for (i = 0; i < vpikkus; i++)
            V[i] = jada[v + i];
        for (j = 0; j < ppikkus; j++)
            P[j] = jada[keskkoht + 1 + j];

        i = 0; // vasakpoolse jada esimese elemendi indeks
        j = 0; // parempoolse jada esimese elemendi indeks
        k = v; // pimitava koha algusindeks jadas
        while (i < vpikkus && j < ppikkus) { // kuni mlemas jadas on vaatamata elemente
            if (V[i] <= P[j]) { // vasakul on mittesuurem paigutamata element
                jada[k++] = V[i++]; // paneme selle jadasse
            }
            else { // paremal on viksem element
                jada[k++] = P[j++]; // paigutame selle jadasse
            }
        }

        while (i < vpikkus) {//kui vasakus jadas on veel elemente
            jada[k++] = V[i++]; //kopeerime need jrjest jadasse
        }

        while (j < ppikkus) { // kui paremas jadas on veel elemente
            jada[k++] = P[j++]; // kopeerime need jrjest jadasse
        }
    }

    static void poimemeetod(int[] jada, int v, int p)
    {
        if (v < p) {
            int keskkoht = (v + p) / 2;
            poimemeetod(jada, v, keskkoht);
            poimemeetod(jada, keskkoht + 1, p);
            poimi(jada, v, keskkoht, p);
        }
    }

    static int jaota(int[] jada, int v, int p)
    {
        int e = jada[v];
        int i = v - 1;
        int j = p + 1;
        while (true) {
            while (jada[++i] < e) {}
            while (jada[--j] > e) {}
            if (i >= j) return j;
            System.out.println(i + " " + j);
            int temp = jada[i];
            jada[i] = jada[j];
            jada[j] = temp;
        }
    }

    static void kiirmeetod(int[] jada, int v, int p)
    {
        if (v < p) {
            int e = jaota(jada, v, p);
            System.out.println();
            kiirmeetod(jada, v, e);
            kiirmeetod(jada, e + 1, p);
        }
    }


    public static void main(String[] args)
    {
        int[] jada = { 2, 4, 5, 4, 1 };
        //optmullimeetod(jada, 5);
        //valikmeetod(jada, 5);
        //pistemeetod(jada, 5);
        //poimemeetod(jada, 0, 4);
        kiirmeetod(jada, 0, 4);

        for (int i = 0; i < 5; i++)
        {
            System.out.print(jada[i] + " ");
        }
        System.out.println();
    }
}
